INTEL_LOGICAL_RING_B(9)

NAME
intel_logical_ring_begin - prepare the logical ringbuffer to accept some commands

SYNOPSIS

int intel_logical_ring_begin(struct intel_ringbuffer * ringbuf, int num_dwords);

ARGUMENTS

ringbuf
    Logical ringbuffer.

num_dwords
    number of DWORDs that we plan to write to the ringbuffer.

DESCRIPTION

The ringbuffer might not be ready to accept the commands right away (maybe it needs to be wrapped, or wait a bit for the tail to be updated). This function takes care of that and also preallocates a request (every workload submission is still mediated through requests, same as it did with legacy ringbuffer submission).

RETURN

non-zero if the ringbuffer is not ready to be written to.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT